Public Member Functions | Protected Member Functions | Protected Attributes

# gdcm::PixmapReader Class Reference

PixmapReader. More...

`#include <gdcmPixmapReader.h>`

Inheritance diagram for gdcm::PixmapReader:
[legend]
Collaboration diagram for gdcm::PixmapReader:
[legend]

List of all members.

## Public Member Functions
| PixmapReader ()
| ~PixmapReader ()
const Pixmap & | GetPixmap () const
| Return the read image.
Pixmap & | GetPixmap ()
bool | Read ()
## Protected Member Functions
const ByteValue * | GetPointerFromElement (Tag const &tag) const
virtual bool | ReadACRNEMAImage ()
virtual bool | ReadImage (MediaStorage const &ms)
## Protected Attributes
SmartPointer< Pixmap > | PixelData

## Detailed Description

PixmapReader.

Note:
  its role is to convert the DICOM DataSet into a gdcm::Pixmap representation By default it is also loading the lookup table and overlay when found as they impact the rendering or the image

See PS 3.3-2008, Table C.7-11b IMAGE PIXEL MACRO ATTRIBUTES for the list of attribute that belong to what gdcm calls a 'Pixmap'

See also:
  Pixmap

## Constructor & Destructor Documentation

gdcm::PixmapReader::PixmapReader | ( | ) |

gdcm::PixmapReader::~PixmapReader | ( | ) |

## Member Function Documentation

const Pixmap& gdcm::PixmapReader::GetPixmap | ( | ) | const

Return the read image.

Pixmap& gdcm::PixmapReader::GetPixmap | ( | ) |

const ByteValue* gdcm::PixmapReader::GetPointerFromElement | ( | Tag const & | tag ) | const`[protected]`

bool gdcm::PixmapReader::Read | ( | ) | `[virtual]`

Read the DICOM image. There are two reason for failure: 1. The input filename is not DICOM 2. The input DICOM file does not contains an Pixmap.

Reimplemented from gdcm::Reader.

Reimplemented in gdcm::ImageReader.

virtual bool gdcm::PixmapReader::ReadACRNEMAImage | ( | ) | `[protected, virtual]`

Reimplemented in gdcm::ImageReader.

virtual bool gdcm::PixmapReader::ReadImage | ( | MediaStorage const & | ms ) | `[protected, virtual]`

Reimplemented in gdcm::ImageReader.

## Member Data Documentation

SmartPointer<Pixmap> gdcm::PixmapReader::PixelData`[protected]`

The documentation for this class was generated from the following file:

- gdcmPixmapReader.h